<form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30,30]">
        <div nz-col nzXs="24" nzLg="12">
            <mb-select [mbDataSelects]="groupCodeList"
                mbKeyLabel="label"
                mbKeyValue="value"
                [mbType]="isSubmitted && form.controls['groupCode'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['groupCode'].errors != null"
                [mbErrors]="form.controls['groupCode'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.leaveReason.groupCode' | translate }}]"
                mbPlaceholder="--{{'staffAbs.leaveReason.groupCode' | translate}}--"
                mbLabelText="{{'staffAbs.leaveReason.groupCode' | translate}} <span class='label__required'>*</span>"
                formControlName="groupCode"></mb-select>
        </div>
        <div nz-col nzXs="24" nzLg="12">
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-input-text
                [mbMaxLength]="50"
                mbPlaceholderText="--{{'staffAbs.leaveReason.code' | translate}}--"
                mbLabelText="{{'staffAbs.leaveReason.code' | translate}} <span class='label__required'>*</span>"
                [mbType]="isSubmitted && form.controls['code'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['code'].errors != null"
                [mbErrors]="form.controls['code'].errors"
                [mbErrorDefs]="[
                    { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.leaveReason.code' | translate }}
                    ,{ errorName: 'maxlength', errorDescription: 'staffAbs.validate.maxLength' | translate: {'numberLength': 50} }
                ]"
                formControlName="code"></mb-input-text>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-input-text
                [mbMaxLength]="200"
                mbPlaceholderText="--{{'staffAbs.leaveReason.name' | translate}}--"
                mbLabelText="{{'staffAbs.leaveReason.name' | translate}} <span class='label__required'>*</span>"
                [mbType]="isSubmitted && form.controls['name'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['name'].errors != null"
                [mbErrors]="form.controls['name'].errors"
                [mbErrorDefs]="[
                    { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.leaveReason.name' | translate }}
                    ,{ errorName: 'maxlength', errorDescription: 'staffAbs.validate.maxLength' | translate: {'numberLength': 200} }
                ]"
                formControlName="name"></mb-input-text>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-select [mbDataSelects]="workdayTypeCodeList"
                [mbKeyLabel]="'code'"
                [mbKeyValue]="'code'"
                [mbType]="isSubmitted && form.controls['workdayTypeCode'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['workdayTypeCode'].errors != null"
                [mbErrors]="form.controls['workdayTypeCode'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.leaveReason.workdayTypeCode' | translate }}]"
                mbPlaceholder="--{{'staffAbs.leaveReason.workdayTypeCode' | translate}}--"
                mbLabelText="{{'staffAbs.leaveReason.workdayTypeCode' | translate}} <span class='label__required'>*</span>"
                formControlName="workdayTypeCode"></mb-select>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-select [mbDataSelects]="timeOffTypeList"
                mbKeyLabel="label"
                mbKeyValue="value"
                [mbType]="isSubmitted && form.controls['timeOffType'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['timeOffType'].errors != null"
                [mbErrors]="form.controls['timeOffType'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.leaveReason.timeOffType' | translate }}]"
                mbPlaceholder="--{{'staffAbs.leaveReason.timeOffType' | translate}}--"
                mbLabelText="{{'staffAbs.leaveReason.timeOffType' | translate}} <span class='label__required'>*</span>"
                formControlName="timeOffType"></mb-select>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-input-text
                [mbMaxLength]="4"
                mbPlaceholderText="--{{'staffAbs.leaveReason.defaultTimeOff' | translate}}--"
                mbLabelText="{{'staffAbs.leaveReason.defaultTimeOff' | translate}}"
                [mbType]="isSubmitted && form.controls['defaultTimeOff'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['defaultTimeOff'].errors != null"
                [mbErrors]="form.controls['defaultTimeOff'].errors"
                [mbErrorDefs]="[{ errorName: 'onlyNumber', errorDescription: 'staffAbs.validate.onlyNumber' | translate: {'param': 'staffAbs.leaveReason.defaultTimeOff' | translate }}]"
                formControlName="defaultTimeOff"></mb-input-text>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-input-text
                [mbMaxLength]="4"
                mbPlaceholderText="--{{'staffAbs.leaveReason.maxTimeOff' | translate}}--"
                mbLabelText="{{'staffAbs.leaveReason.maxTimeOff' | translate}}"
                [mbType]="isSubmitted && form.controls['maxTimeOff'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['maxTimeOff'].errors != null"
                [mbErrors]="form.controls['maxTimeOff'].errors"
                [mbErrorDefs]="[{ errorName: 'onlyNumber', errorDescription: 'staffAbs.validate.onlyNumber' | translate: {'param': 'staffAbs.leaveReason.maxTimeOff' | translate }}]"
                formControlName="maxTimeOff"></mb-input-text>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-input-text
                [mbMaxLength]="4"
                mbPlaceholderText="--{{'staffAbs.leaveReason.yearMaxTimeOff' | translate}}--"
                mbLabelText="{{'staffAbs.leaveReason.yearMaxTimeOff' | translate}}"
                [mbType]="isSubmitted && form.controls['yearMaxTimeOff'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['yearMaxTimeOff'].errors != null"
                [mbErrors]="form.controls['yearMaxTimeOff'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.leaveReason.yearMaxTimeOff' | translate }}
                ,{ errorName: 'onlyNumber', errorDescription: 'staffAbs.validate.onlyNumber' | translate: {'param': 'staffAbs.leaveReason.yearMaxTimeOff' | translate }}]"
                formControlName="yearMaxTimeOff"></mb-input-text>
        </div>
    </div>
</form>
